[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'ActnList' (#lcl)

# TActionLink.Update

Calls the inherited method when Action has been assigned.

## Declaration

Source position: actnlist.pas line 268

`public function TActionLink.Update: Boolean; override;`

## Function result

True if the Update method for the Action was executed.

## Description

Update is an overridden Boolean function in TActionLink. It ensures that an Action is assigned in the class instance before calling the inherited method. It addresses an issue in TBasicActionLink.Update for RTL versions prior to 3.3.1 where the Action was not checked prior to calling the Update method. For those FPC versions, the inherited method is not called and the return value is always False.

## See also

TBasicActionLink.Action
TBasicActionLink.Update